<?php

namespace Modules\Permohonan\Services;

use App\Contracts\CrudServiceContract;

interface PermohonanServiceInterface extends CrudServiceContract
{
    /**
     * Return all items for datatable
     *
     * @return Collection
     */
    public function datatable();

    /**
     * Return auth user_id items for datatable
     *
     * @return Collection
     */
    public function datatableUser();

    /**
     * Store Permohonan Informasi
     *
     * @return Boolean
     */
    public function storePermohonan(array $data);
}
